#1318 closed defect (wontfix)

libcpu/shared is not helpful

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 6.1
Component: bsps Version: 4.10
Severity: normal Keywords:
Cc: thomas.doerfler@… Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

IMO, libcpu/shared is not helpful

Either something is

  • cpu-specific, then it should go into cpukit/score/cpu,
  • general, then in should go into cpukit/
  • bsp-dependent, then it should go into libbsp.

I would strongly suggest to reconsider libcpu/shared.

Change History (6)

comment:1 Changed on Aug 6, 2010 at 9:32:22 PM by Joel Sherrill

Milestone: 4.104.11

Moving to 4.11. Needs to be addressed but too much for a branch.

comment:2 Changed on Apr 11, 2014 at 7:29:33 PM by Gedare Bloom

Milestone: 4.114.12

comment:3 Changed on Nov 20, 2014 at 3:31:07 AM by Chris Johns

Milestone: 4.124.11

comment:4 Changed on Nov 20, 2014 at 7:22:20 AM by Chris Johns

Description: modified (diff)
Milestone: 4.115.0

This needs to be part of the source tree rearrangement.

comment:5 Changed on Jan 5, 2016 at 12:09:59 PM by Sebastian Huber

Description: modified (diff)
Resolution: wontfix
Status: newclosed

This directory contains only support code for the cache manager. I don't know a better place for these files. They cannot go into cpukit, since the cache manager is potentially BSP-dependent.

comment:6 Changed on Nov 9, 2017 at 6:26:42 AM by Sebastian Huber

Milestone: 5.06.1

Milestone renamed

Note: See TracTickets for help on using tickets.